using System;

internal sealed class Delegate516 : MulticastDelegate
{
	public extern void Invoke(EventHandler eventHandler_0);

	public static void smethod_0(EventHandler eventHandler_0, Delegate516 delegate516_1)
	{
		delegate516_1(eventHandler_0);
	}

	public extern Delegate516(object object_0, IntPtr intptr_0);

	static Delegate516()
	{
		Class10.smethod_13(typeof(Delegate516).TypeHandle);
	}

	internal static Delegate516 delegate516_0;
}
